=head1 Name

B<rinv> - Remote hardware inventory

=head1 B<Synopsis>

B<rinv> [B<-h>|B<--help>|B<-v>|B<--version>]

=head2 BMC/MPA specific:

B<rinv> I<noderange> [B<model>|B<serial>|B<asset>|B<vpd>|B<deviceid>|B<guid>|B<firm>|B<dimm>|B<mprom>|B<all>]

=head2 OpenPOWER (IPMI) server specific:
  
B<rinv> I<noderange> [B<model>|B<serial>|B<deviceid>|B<uuid>|B<guid>|B<vpd>|B<mprom>|B<firm>|B<all>] 

=head2 OpenPOWER (OpenBMC) server specific:

B<rinv> I<noderange> [B<model>][B<serial>][B<firm>][B<cpu>][B<dimm>][B<all>] [B<-V>|B<--verbose>]

=head2 PPC (with HMC) specific:

B<rinv> I<noderange> {B<bus>|B<config>|B<serial>|B<model>|B<firm>|B<all>}

=head2 PPC (using Direct FSP Management) specific:

B<rinv> I<noderange> {B<firm>}

B<rinv> I<noderange> {B<deconfig> [B<-x>]}

=head2 Blade specific:

B<rinv> I<noderange> {B<mtm>|B<serial>|B<mac>|B<bios>|B<diag>|B<mprom>|B<mparom>|B<firm>|B<all>}

=head2 VMware specific:

B<rinv> I<noderange> [B<-t>]

=head2 pdu specific:

B<rinv> I<noderange> 

=head2 zVM specific:

B<rinv> I<noderange> [B<config>|B<all>]

B<rinv> I<noderange> [B<--diskpoolspace>]

B<rinv> I<noderange> [B<--diskpool> I<pool> I<space>]

B<rinv> I<noderange> [B<--fcpdevices> I<state> I<details>]

B<rinv> I<noderange> [B<--diskpoolnames>]

B<rinv> I<noderange> [B<--networknames>]

B<rinv> I<noderange> [B<--network> I<name>]

B<rinv> I<noderange> [B<--ssi>]

B<rinv> I<noderange> [B<--smapilevel>]

B<rinv> I<noderange> [B<--wwpns> I<fcp_channel>]

B<rinv> I<noderange> [B<--zfcppool> I<pool> I<space>]

B<rinv> I<noderange> [B<--zfcppoolnames>]

=head1 B<Description>

B<rinv> retrieves hardware configuration information from the on-board
Service Processor for a single or range of nodes and groups.

Calling B<rinv> for VMware will display the UUID/GUID, number of CPUs, amount of memory, the MAC address and a list of Hard disks.  The output for each Hard disk includes the label, size and backing file location.

=head1 B<Options>

=over 7

=item B<bus>

List all buses for each I/O slot.

=item B<config>

Retrieves number of processors, speed, total memory, and DIMM locations.

=item B<model>

Retrieves model number.

=item B<serial>

Retrieves serial number.

=item B<firm>

Retrieves firmware versions.

=item B<deconfig>

Retrieves deconfigured resources. Deconfigured resources are hw components (cpus, memory, etc.) that have failed so the firmware has automatically turned those components off. This option is only capable of listing some of the deconfigured resources and should not be the only method used to check the hardware status.

=item B<-x>

To output the raw information of deconfigured resources for CEC.

=item B<asset>

Retrieves asset tag. Usually it's the MAC address of eth0.

=item B<vpd>

Same as specifying model, serial, deviceid, and mprom.

=item B<diag>

Diagnostics information of firmware.

=item B<mprom>

Retrieves mprom firmware level.

=item B<dimm>

Retrieves dual in-line memory module information.

=item B<deviceid>

Retrieves device identification. Usually device, manufacturing and product IDs. 

=item B<uuid>

Retrieves the universally unique identifier.

=item B<guid>

Retrieves the global unique identifier .

=item B<all>

All of the above.

=item B<-h>|B<--help>

Print help.

=item B<-v>|B<--version>

Print version.

=item B<-V>|B<--verbose>

Prints verbose output, if available.

=item B<-t>

Set the values in the vm table to what vCenter has for the indicated nodes.

=back

B<zVM specific :>

=over 2

=item B<--diskpoolspace>

Calculates the total size of every known storage pool. 

=item B<--diskpool> I<pool> I<space>

Lists the storage devices (ECKD and FBA) contained in a disk pool. Space can be: all, free, or used.

=item B<--fcpdevices> I<state> I<details>

Lists the FCP device channels that are active, free, or offline. State can be: active, free, or offline.

=item B<--diskpoolnames>

Lists the known disk pool names. 

=item B<--networknames>

Lists the known network names.

=item B<--network> I<name>

Shows the configuration of a given network device.

=item B<--ssi>

Obtain the SSI and system status.

=item B<--smapilevel>

Obtain the SMAPI level installed on the z/VM system.

=item B<--wwpns> I<fcp_channel>

Query a given FCP device channel on a z/VM system and return a list of WWPNs.

=item B<--zfcppool> I<pool> I<space>

List the SCSI/FCP devices contained in a zFCP pool. Space can be: free or used.

=item B<--zfcppoolnames>

List the known zFCP pool names.

=back

=head1 B<Examples>

=over 4

=item 1.
To retrieve all information available from blade node4, enter:

 rinv node5 all

Output is similar to:

 node5: Machine Type/Model 865431Z
 node5: Serial Number 23C5030
 node5: Asset Tag 00:06:29:1F:01:1A
 node5: PCI Information
 node5:  Bus  VendID  DevID    RevID  Description              Slot Pass/Fail
 node5:  0    1166    0009     06     Host Bridge              0	PASS
 node5:  0    1166    0009     06     Host Bridge              0	PASS
 node5:  0    5333    8A22     04     VGA Compatible Controller0	PASS
 node5:  0    8086    1229     08     Ethernet Controller      0	PASS
 node5:  0    8086    1229     08     Ethernet Controller      0	PASS
 node5:  0    1166    0200     50     ISA Bridge               0	PASS
 node5:  0    1166    0211     00     IDE Controller           0	PASS
 node5:  0    1166    0220     04     Universal Serial Bus     0	PASS
 node5:  1    9005    008F     02     SCSI Bus Controller      0	PASS
 node5:  1    14C1    8043     03     Unknown Device Type      2	PASS
 node5: Machine Configuration Info
 node5: Number of Processors:
 node5: Processor Speed: 866 MHz
 node5: Total Memory:	  512 MB
 node5: Memory DIMM locations:  Slot(s)  3  4

=item 2.
To output the raw information of deconfigured resources for CEC cec01, enter:

 rinv cec01 deconfig -x

Output is similar to:

 cec01:
 <SYSTEM>
 <System_type>IH</System_type>
 <NODE>
 <Location_code>U78A9.001.0123456-P1</Location_code>
 <RID>800</RID>
 </NODE>
 </SYSTEM>

=item 3.

To retrieve 'config' information from the HMC-managed LPAR node3, enter:

 rinv node3 config

Output is similar to:

 node5: Machine Configuration Info
 node5: Number of Processors: 1
 node5: Total Memory (MB): 1024

=item 4.

To retrieve information about a VMware node vm1, enter:

 rinv vm1

Output is similar to:

 vm1: UUID/GUID: 42198f65-d579-fb26-8de7-3ae49e1790a7
 vm1: CPUs: 1
 vm1: Memory: 1536 MB
 vm1: Network adapter 1: 36:1b:c2:6e:04:02
 vm1: Hard disk 1 (d0): 9000 MB @ [nfs_192.168.68.21_vol_rc1storage_vmware] vm1_3/vm1.vmdk
 vm1: Hard disk 2 (d4): 64000 MB @ [nfs_192.168.68.21_vol_rc1storage_vmware] vm1_3/vm1_5.vmdk

B<zVM specific :>

=item 5. 

To list the defined network names available for a given node:

 rinv pokdev61 --getnetworknames

Output is similar to:

 pokdev61: LAN:QDIO SYSTEM GLAN1
 pokdev61: LAN:HIPERS SYSTEM GLAN2
 pokdev61: LAN:QDIO SYSTEM GLAN3
 pokdev61: VSWITCH SYSTEM VLANTST1
 pokdev61: VSWITCH SYSTEM VLANTST2
 pokdev61: VSWITCH SYSTEM VSW1
 pokdev61: VSWITCH SYSTEM VSW2
 pokdev61: VSWITCH SYSTEM VSW3

=item 6. 

To list the configuration for a given network:

 rinv pokdev61 --getnetwork GLAN1

Output is similar to:
 
 pokdev61: LAN SYSTEM GLAN1        Type: QDIO    Connected: 1    Maxconn: INFINITE
 pokdev61:   PERSISTENT  UNRESTRICTED  IP                        Accounting: OFF
 pokdev61:   IPTimeout: 5                 MAC Protection: Unspecified
 pokdev61:   Isolation Status: OFF

=item 7.

To list the disk pool names available:

 rinv pokdev61 --diskpoolnames
 
Output is similar to:

 pokdev61: POOL1
 pokdev61: POOL2
 pokdev61: POOL3

=item 8.

List the configuration for a given disk pool:

 rinv pokdev61 --diskpool POOL1 free

Output is similar to:
 
 pokdev61: #VolID DevType StartAddr Size
 pokdev61: EMC2C4 3390-09 0001 10016
 pokdev61: EMC2C5 3390-09 0001 10016


=item 9.

List the known zFCP pool names.

 rinv pokdev61 --zfcppoolnames
 
Output is similar to:

 pokdev61: zfcp1
 pokdev61: zfcp2
 pokdev61: zfcp3

=item 10.

List the SCSI/FCP devices contained in a given zFCP pool:

 rinv pokdev61 --zfcppool zfcp1
  
Output is similar to:

 pokdev61: #status,wwpn,lun,size,range,owner,channel,tag
 pokdev61: used,500512345678c411,4014412100000000,2g,3B40-3B7F,ihost13,3b77,
 pokdev61: used,500512345678c411,4014412200000000,8192M,3B40-3B7F,ihost13,3b77,replace_root_device
 pokdev61: free,500512345678c411,4014412300000000,8g,3B40-3B7F,,,
 pokdev61: free,5005123456789411,4014412400000000,2g,3B40-3B7F,,,
 pokdev61: free,5005123456789411;5005123456789411,4014412600000000,2G,3B40-3B7F,,,

=back

=head1 SEE ALSO

L<rpower(1)|rpower.1>
